Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.writer.rdfxml.rdfwriter
Class RDFResourceCollectionWriter

    java.lang.Object
      edu.stanford.smi.protegex.owl.writer.rdfxml.rdfwriter.RDFResourceCollectionWriter

    public class RDFResourceCollectionWriter

extends Object

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Apr 7, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`RDFResourceCollectionWriter(OWLModel model, TripleStore tripleStore, Collection resources, Writer writer, boolean encloseInRDFElement)`
`RDFResourceCollectionWriter(OWLModel model, TripleStore tripleStore, Collection resources, XMLWriter xmlWriter, boolean encloseInRDFElement)`

Method Summary
`void` | `write()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFResourceCollectionWriter

    public RDFResourceCollectionWriter(OWLModel model,
                                       TripleStore tripleStore,
                                       Collection resources,
                                       Writer writer,
                                       boolean encloseInRDFElement)

### RDFResourceCollectionWriter

    public RDFResourceCollectionWriter(OWLModel model,
                                       TripleStore tripleStore,
                                       Collection resources,
                                       XMLWriter xmlWriter,
                                       boolean encloseInRDFElement)

Method Detail

### write

    public void write()
               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.